Validate JSON request of inbound messages

Validate the JSON request of inbound messages

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

🚧

Deprecated

Listening API v2 has been deprecated and should not be used for new custom integrations. For custom integrations, please contact your Khoros representative.

Details

Validates the JSON request of inbound message(s). This is a convenience method to validate the JSON payload prior to using POST /listening/_integrationUuid_/messages.

See Listening API object definitions to build your JSON payload.

[
  {
    "network":"custom",
    "networkinstance":"myspace.com",
    "id":"z135g3jz2tm0xf5uq23gerbpiybcbb4",
    "author":{
      "id":"18005882300",
      "name":"Jim Bob",
      "screenName":"JimBob",
      "avatarUrl":"https://lh3.googleusercontent.com/-ZadaXoUTBfs/AAAAAAAAAAI/AAAAAAAAAAA/3rh5IMTHOzg/photo.jpg",
      "location":"Austin, TX",
      "profileUrl":"https://myspace.com/kanyewest/music/songs"
    },
    "receiveDate":1425937206000,
    "publishDate":1425937206000,
    "postContent":"Kanye West is cool",
    "url":"https://www.youtube.com/watch?v=OEyS_cQoG5c",
    "isPrivate":false,
    "text":"Kanye West is cool",
    "title":"title",
    "media":[
      {
        "type":"VIDEO",
        "url":"https://www.youtube.com/watch?v=PubPBOHpid8"
      }
    ]
  }
]
Path Params
string
required

The unique identifier of the social integration

Body Params
json

The Raw JSON payload. Refer to Listening API object definitions to build your JSON.

Responses

Language
URL
LoadingLoading…
Response
Choose an example:
application/json